catalog:
  title: PHP 7

templates:
- github
- autotools
- base

variables:
  description: >-
    PHP is a popular general-purpose scripting language that is
    especially suited to web development.
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: php
  github.project: php-src

  branches:
  - master
  - PHP-7.1.11

  extra-provides:
  - nature: freestyle
    target: php
  extra-requires:
  - nature: freestyle
    target: httpd
  platform-requires:
    ubuntu:
      packages:
      - build-essential
      - bison
      - re2c
      - libgmp-dev
      - libgmp3-dev
      - libzip-dev
      - lbzip2
      - libbz2-dev
      - bzip2
      - libxml2-dev
      - libjpeg-dev
      - libxpm-dev
      - libmcrypt-dev
      - libpspell-dev
      - librecode-dev
      - libcurl4-openssl-dev
      - libxft-dev
      - '@{next-value|[]}'

  bootstrap.command: |
    ./buildconf --force

  configure.with:
  - apxs2=${toolkit.dir}/bin/apxs
  - config-file-path=${toolkit.dir}/etc/php7/apache2
  - config-file-scan-dir=${toolkit.dir}/etc/php7/apache2/conf.d
